Skip to main content
`Ctrl`+`K`

# VecSetOptionsPrefix

Sets the prefix used for searching for all `Vec` options in the database.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetOptionsPrefix(Vec v, const char prefix[])

Logically Collective

## Input Parameters

- v - the `Vec` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

Vectors and Parallel Data, `Vec`, `VecSetFromOptions()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/ts/tutorials/ex45.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages